#!/usr/bin/perl
#
#   Bluestem - University of Illinois WWW Identification Service
#
#   forbidden.cgi - Bluestem CGI handler for forbidden responses
#

use strict;
use warnings;

use lib "/var/www/bluestem-client/lib";
use Bluestem::CGIClient ();

my $cgi = CGI->new();
my $bsc = Bluestem::CGIClient->new(
	cgi => $cgi,
);

my $session = $bsc->get_session();
my %p;
if( $session ) {
	%p = %$session;
	$p{fullid} = $bsc->bluestem_id_full( $session->{netid} );
	$p{shortid} = $bsc->bluestem_id_short( $session->{netid} );
} elsif( $ENV{REDIRECT_REMOTE_USER} ) {
	$p{fullid} = $bsc->bluestem_id_full( $ENV{REDIRECT_REMOTE_USER} );
	$p{shortid} = $bsc->bluestem_id_short( $ENV{REDIRECT_REMOTE_USER} );
}
$p{contact} = $cgi->param('contact');
$p{path} = $cgi->param('path');

$bsc->print_template("forbidden.html",\%p);

exit 0;
